cURL
curl --request GET \ --url https://rollytics-api-evm-1.anvil.asia-southeast.initia.xyz/indexer/block/v1/blocks
{ "blocks": [ { "chain_id": "<string>", "height": "<string>", "hash": "<string>", "block_time": "<string>", "timestamp": "<string>", "gas_used": "<string>", "gas_wanted": "<string>", "tx_count": "<string>", "total_fee": [ { "denom": "<string>", "amount": "<string>" } ], "proposer": { "moniker": "<string>", "identity": "<string>", "operator_address": "<string>" } } ], "pagination": { "previous_key": "<string>", "next_key": "<string>", "total": "<string>" } }
Returns a paginated list of blocks.
Cursor key for pagination.
Number of records to skip.
Maximum number of records to return. Defaults to 100.
When true, returns results in descending order. Defaults to true.
true
Successful response
Show child attributes
Pagination metadata for list responses.
Was this page helpful?